- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGPropertyListVector::Iter Class Reference

`#include <RVNGPropertyListVector.h>`

## Public Member Functions
| Iter (const RVNGPropertyListVector &vect)
virtual | ~Iter ()
void | rewind ()
bool | next ()
bool | last ()
const RVNGPropertyList & | operator() () const

## Private Member Functions
| Iter (const Iter &)
Iter & | operator= (const Iter &)

## Private Attributes
RVNGPropertyListVectorIterImpl * | m_iterImpl

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListVector::Iter::Iter | ( | const RVNGPropertyListVector & | vect | ) |

librevenge::RVNGPropertyListVector::Iter::~Iter | ( |  | ) |
| virtual

librevenge::RVNGPropertyListVector::Iter::Iter | ( | const Iter & |  | ) |
| private

## Member Function Documentation

bool librevenge::RVNGPropertyListVector::Iter::last | ( |  | ) |

Referenced by librevenge::RVNGPropertyListVector::getPropString().

bool librevenge::RVNGPropertyListVector::Iter::next | ( |  | ) |

Referenced by librevenge::RVNGPropertyListVector::append(), and librevenge::RVNGPropertyListVector::getPropString().

const RVNGPropertyList & librevenge::RVNGPropertyListVector::Iter::operator() | ( |  | ) | const

Iter& librevenge::RVNGPropertyListVector::Iter::operator= | ( | const Iter & |  | ) |
| private

void librevenge::RVNGPropertyListVector::Iter::rewind | ( |  | ) |

Referenced by librevenge::RVNGPropertyListVector::append().

## Member Data Documentation

RVNGPropertyListVectorIterImpl* librevenge::RVNGPropertyListVector::Iter::m_iterImpl
| private

The documentation for this class was generated from the following files:

- RVNGPropertyListVector.h
- RVNGPropertyListVector.cpp